diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieKinoDe.py trunk/lib/plugins/movie/PluginMovieKinoDe.py
--- griffith-0.13/lib/plugins/movie/PluginMovieKinoDe.py	2011-12-04 17:59:11.000000000 +0200
+++ trunk/lib/plugins/movie/PluginMovieKinoDe.py	2013-07-27 18:37:05.673547595 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: PluginMovieKinoDe.py 1599 2011-12-02 19:52:02Z mikej06 $'
+__revision__ = '$Id: PluginMovieKinoDe.py 1643 2013-02-21 19:51:43Z mikej06 $'
 
 # Copyright (c) 2006-2011
 #
@@ -67,33 +67,34 @@
             self.videopage = None
 
     def get_image(self):
-        self.image_url = ''
-        tmpdata = gutils.regextrim(self.page, '<div class="cover-area">', '</div>')
-        if tmpdata:
-            # video page
-            tmpdata = re.search('(http[:][/][/][^/]+[/]flbilder[/][^"\']+)', tmpdata)
-            if tmpdata:
-                self.image_url = tmpdata.group(1)
-        else:
-            # kino page
-            tmpdata = gutils.before(self.page, '<span style="line-height: 15px;">')
-            if tmpdata:
-                tmpparts = re.split('http://images.kino.de/s/', tmpdata)
-                if len(tmpparts) > 2:
-                    self.image_url = 'http://images.kino.de/s/' + gutils.before(tmpparts[2], '"')
-                elif len(tmpparts) > 1:
-                    self.image_url = 'http://images.kino.de/s/' + gutils.before(tmpparts[1], '"')
-        if not self.image_url and self.videopage:
-            tmpdata = gutils.regextrim(self.videopage, '<div class="cover-area">', '</div>')
+        self.image_url = string.replace(string.replace(gutils.trim(self.page, '"picture":', ','), '"', ''), '\\', '')
+        if not self.image_url:
+            tmpdata = gutils.regextrim(self.page, '<div class="cover-area">', '</div>')
             if tmpdata:
                 # video page
                 tmpdata = re.search('(http[:][/][/][^/]+[/]flbilder[/][^"\']+)', tmpdata)
                 if tmpdata:
                     self.image_url = tmpdata.group(1)
+            else:
+                # kino page
+                tmpdata = gutils.before(self.page, '<span style="line-height: 15px;">')
+                if tmpdata:
+                    tmpparts = re.split('http://images.kino.de/s/', tmpdata)
+                    if len(tmpparts) > 2:
+                        self.image_url = 'http://images.kino.de/s/' + gutils.before(tmpparts[2], '"')
+                    elif len(tmpparts) > 1:
+                        self.image_url = 'http://images.kino.de/s/' + gutils.before(tmpparts[1], '"')
+            if not self.image_url and self.videopage:
+                tmpdata = gutils.regextrim(self.videopage, '<div class="cover-area">', '</div>')
+                if tmpdata:
+                    # video page
+                    tmpdata = re.search('(http[:][/][/][^/]+[/]flbilder[/][^"\']+)', tmpdata)
+                    if tmpdata:
+                        self.image_url = tmpdata.group(1)
 
 
     def get_o_title(self):
-        self.o_title = gutils.trim(self.page, '<p>Originaltitel: ', '</p>')
+        self.o_title = gutils.regextrim(self.page, '(<p>Originaltitel[:] |Originaltitel<[^>]+>)', '(</tr>|</p>)')
         if not self.o_title:
             self.o_title = gutils.trim(self.page, '<h1(', ')')
             if not self.o_title:
@@ -102,23 +103,23 @@
                     if self.videopage:
                         self.o_title = gutils.trim(self.videopage, '<p>Originaltitel: ', '</p>')
                     if not self.o_title:
-                        self.o_title = gutils.regextrim(self.page, '<h1>', '</h1>')
+                        self.o_title = gutils.regextrim(self.page, '<h1>', '(</h1>|</span>)')
 
     def get_title(self):
         self.title = gutils.trim(self.page, '<div class="teaser">', '</')
         if not self.title:
-            self.title = gutils.regextrim(self.page, '<h1>', '</h1>')
+            self.title = gutils.regextrim(self.page, '<h1>', '(</h1>|</span>)')
 
     def get_director(self):
         self.director = gutils.trim(self.page, '<th>Regie:', '<th>')
         if not self.director:
-            self.director = gutils.trim(self.creditspage, 'Regie&nbsp;', '</tr>')
+            self.director = gutils.trim(self.creditspage, 'Regie:', '</li>')
 
     def get_plot(self):
         self.plot = gutils.trim(self.page, '<div class="yui-content">', '<div class="footer">')
         if not self.plot:
             # kino page
-            self.plot = gutils.trim(self.page, '<span style="line-height: 15px;">', '<table')
+            self.plot = gutils.after(gutils.trim(self.page, 'Filmhandlung & Hintergrund', '</div>'), '</h2>')
         if not self.plot and self.videopage:
             self.plot = gutils.trim(self.videopage, '<div class="yui-content">', '<div class="footer">')
         if self.plot:
@@ -140,11 +141,15 @@
 
     def get_year(self):
         self.year = ''
-        tmp = gutils.trim(self.page, '<div class="description">', '</div>')
+        tmp = gutils.trim(gutils.trim(self.page, '"releaseDate":', ','), ':"', '"')
         if tmp:
-            searchyearandcountry = re.search('([0-9]{4})<br', tmp)
-            if searchyearandcountry:
-                self.year = searchyearandcountry.group(1)
+            self.year = tmp
+        else:
+            tmp = gutils.trim(self.page, '<div class="description">', '</div>')
+            if tmp:
+                searchyearandcountry = re.search('([0-9]{4})<br', tmp)
+                if searchyearandcountry:
+                    self.year = searchyearandcountry.group(1)
         if not self.year:
             tmp = gutils.trim(self.page, '<span class="standardsmall"><strong>', '<br')
             if tmp:
@@ -161,21 +166,24 @@
                     self.year = searchyearandcountry.group(1)
 
     def get_runtime(self):
-        self.runtime = ''
-        srchresult = re.search('Laufzeit: ([0-9]+)[ \t]Min[.]<', self.page)
-        if srchresult <> None:
-            self.runtime = srchresult.group(1)
+        self.runtime = gutils.trim(self.page, '"runtime":', ',')
         if not self.runtime:
-            srchresult = re.search('>([0-9]+)[ \t]Min[.]<', self.page)
-            if srchresult <> None:
-                self.runtime = srchresult.group(1)
-        if not self.runtime and self.videopage:
-            srchresult = re.search('Laufzeit: ([0-9]+)[ \t]Min[.]<', self.videopage)
+            srchresult = re.search('Laufzeit: ([0-9]+)[ \t]Min[.]<', self.page)
             if srchresult <> None:
                 self.runtime = srchresult.group(1)
+            if not self.runtime:
+                srchresult = re.search('>([0-9]+)[ \t]Min[.]<', self.page)
+                if srchresult <> None:
+                    self.runtime = srchresult.group(1)
+            if not self.runtime and self.videopage:
+                srchresult = re.search('Laufzeit: ([0-9]+)[ \t]Min[.]<', self.videopage)
+                if srchresult <> None:
+                    self.runtime = srchresult.group(1)
 
     def get_genre(self):
-        self.genre = gutils.trim(self.page,'<p class="genre">', '</p>')
+        self.genre = string.replace(gutils.trim(self.page, '"genre":', ','), '"', '')
+        if not self.genre:
+            self.genre = gutils.trim(self.page,'<p class="genre">', '</p>')
         if not self.genre:
             self.genre = gutils.trim(self.page, 'title="Zur Genreliste: Drama">', '<')
         if not self.genre and self.videopage:
@@ -195,19 +203,20 @@
                     else:
                         self.cast = self.cast + name + '\n'
         if not self.cast:
-            tmp = gutils.trim(self.creditspage, '>Cast<br />', '>Crew<')
-            if tmp:
-                castparts = re.split('width="50%"><a href="/star/', tmp)
-                for index in range(1, len(castparts), 1):
-                    role = gutils.clean(gutils.trim(castparts[index - 1], 'width="50%">', '</td>'))
-                    name = gutils.clean(gutils.trim(castparts[index], '">', '<'))
-                    if role:
-                        self.cast = self.cast + name + _(' as ') + role + '\n'
-                    else:
-                        self.cast = self.cast + name + '\n'
+            elements = re.split('<h3>Darsteller</h3>', self.page)
+            for element in elements[1:]:
+                actor = gutils.trim(element, 'itemprop="name">', '<')
+                if actor:
+                    self.cast = self.cast + actor
+                    role = gutils.trim(element, 'itemprop="title">', '<')
+                    if role and role <> 'Darsteller':
+                        self.cast = self.cast + _(' as ') + role
+                    self.cast = self.cast + '\n'
 
     def get_classification(self):
-        self.classification = gutils.regextrim(self.page, 'FSK: ', '<')
+        self.classification = string.replace(gutils.trim(self.page, '"fsk":', ','), '"', '')
+        if not self.classification:
+            self.classification = gutils.regextrim(self.page, 'FSK: ', '<')
         if not self.classification and self.videopage:
             self.classification = gutils.regextrim(self.videopage, 'FSK: ', '<')
 
@@ -220,6 +229,8 @@
                 self.studio = string.replace(gutils.after(tmp, '<br/>'), 'Verleih: ', '')
         if not self.studio:
             self.studio = gutils.trim(self.page, 'Verleih: ', '<')
+        if not self.studio:
+            self.studio = gutils.trim(self.page, 'Verleih:', '</li>')
         if not self.studio and self.videopage:
             tmp = gutils.trim(self.videopage, '<div class="description">', '</div>')
             if tmp:
@@ -258,6 +269,8 @@
                 tmp = gutils.trim(tmp, '<strong>', '</strong>')
                 if tmp:
                     self.country = gutils.before(tmp, ' ')
+        if not self.country:
+            self.country = gutils.trim(self.page, 'itemprop="contentLocation">', '<')
         if not self.country and self.videopage:
             tmp = gutils.trim(self.videopage, '<div class="description">', '</div>')
             if tmp:
@@ -298,11 +311,23 @@
         self.screenplay = gutils.regextrim(self.page, '<th>Buch:', '<th>')
         if not self.screenplay:
             self.screenplay= gutils.trim(self.creditspage, 'Drehbuch:&nbsp;', '</tr>')
+        if not self.screenplay:
+            elements = re.split('<h3>Drehbuch</h3>', self.page)
+            delimiter = ''
+            for element in elements[1:]:
+                self.screenplay = self.screenplay + delimiter + gutils.trim(element, 'itemprop="name">', '<')
+                delimiter = ', '
 
     def get_cameraman(self):
         self.cameraman = gutils.regextrim(self.page, '<th>Kamera:', '(<th>|</table>)')
         if not self.cameraman:
             self.cameraman= gutils.trim(self.creditspage, 'Kamera&nbsp;', '</tr>')
+        if not self.cameraman:
+            elements = re.split('"function-title">Kamera</span>', self.page)
+            delimiter = ''
+            for element in elements[1:]:
+                self.cameraman = self.cameraman + delimiter + gutils.trim(element, 'itemprop="name">', '<')
+                delimiter = ', '
 
 class SearchPlugin(movie.SearchMovie):
 
@@ -340,7 +365,7 @@
         for element in elements2:
             if element <> None:
                 title = gutils.clean(gutils.trim(element,'>','</a>')) + string.replace(' (' +
-                            gutils.clean(gutils.trim(element, '<p>', "<br />")) + ')', '()', '')
+                            gutils.clean(gutils.trim(gutils.before(element, '</li>'), '<p>', "<br />")) + ')', '()', '')
                 if title != ' ':
                     id = re.sub('[?].*', '', gutils.before(element,'"'))
                     self.ids.append("V_" + id)
@@ -364,7 +389,7 @@
     # dict { movie_id -> [ expected result count for original url, expected result count for translated url ] }
     #
     test_configuration = {
-        'Rocky Balboa'         : [ 9, 9 ],
+        'Rocky Balboa'         : [ 10, 10 ],
         'Arahan'               : [ 10, 10 ],
         'Ein glückliches Jahr' : [ 4, 4 ]
     }
@@ -393,12 +418,12 @@
 A.J. Benza' + _(' as ') + 'L.C.',
             'country'             : 'USA',
             'genre'               : 'Drama',
-            'classification'      : 'ab 12 Jahre',
+            'classification'      : '12',
             'studio'              : 'Fox',
             'o_site'              : False,
             'site'                : 'http://www.kino.de/kinofilm/rocky-balboa/96132.html',
             'trailer'             : 'http://www.kino.de/kinofilm/rocky-balboa/trailer/96132.html',
-            'year'                : 2006,
+            'year'                : 2007,
             'notes'               : False,
             'runtime'             : 102,
             'image'               : True,
@@ -417,14 +442,14 @@
 André Falcon',
             'country'             : 'Frankreich/Italien',
             'genre'               : 'Drama',
-            'classification'      : 'ab 12',
-            'studio'              : 'Black Hill Pictures',
+            'classification'      : '12',
+            'studio'              : 'Columbia TriStar',
             'o_site'              : False,
             'site'                : 'http://www.kino.de/kinofilm/ein-glueckliches-jahr/28675.html',
             'trailer'             : 'http://www.kino.de/kinofilm/ein-glueckliches-jahr/trailer/28675.html',
             'year'                : 1973,
             'notes'               : False,
-            'runtime'             : 110,
+            'runtime'             : 115,
             'image'               : True,
             'rating'              : False,
             'cameraman'           : 'Jean Collomb',
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieOFDb.py trunk/lib/plugins/movie/PluginMovieOFDb.py
--- griffith-0.13/lib/plugins/movie/PluginMovieOFDb.py	2011-12-04 17:59:11.000000000 +0200
+++ trunk/lib/plugins/movie/PluginMovieOFDb.py	2013-07-27 18:37:05.666880634 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: PluginMovieOFDb.py 1599 2011-12-02 19:52:02Z mikej06 $'
+__revision__ = '$Id: PluginMovieOFDb.py 1641 2013-01-30 12:24:47Z mikej06 $'
 
 # Written by Christian Sagmueller <christian@sagmueller.net>
 # based on PluginMovieIMDB.py, Copyright (c) 2005 Vasco Nunes
@@ -16,7 +16,7 @@
 plugin_language     = _("German")
 plugin_author       = "Christian Sagmueller, Jessica Katharina Parth"
 plugin_author_email = "Jessica.K.P@women-at-work.org"
-plugin_version      = "0.10"
+plugin_version      = "0.11"
 
 class Plugin(movie.Movie):
     def __init__(self, id):
@@ -65,7 +65,7 @@
 
     def get_runtime(self):
         # from imdb
-        self.runtime = gutils.regextrim(self.imdb_page, '<h5>(L&auml;nge|L&#xE4;nge|Runtime):</h5>', ' (min|Min)')
+        self.runtime = gutils.after(gutils.regextrim(self.imdb_page, 'itemprop="duration"', ' (min|Min)'), '>')
 
     def get_genre(self):
         self.genre = gutils.trim(self.page,"Genre(s):","</table>")
@@ -94,10 +94,10 @@
 
     def get_studio(self):
         # from imdb
-        self.studio = gutils.regextrim(self.imdb_page, '<h5>(Firma|Company):</h5>', '</a>')
+        self.studio = gutils.regextrim(self.imdb_page, 'Production Co:', '(<span|</span>)')
 
     def get_o_site(self):
-        self.o_site = ""
+        self.o_site = gutils.trim(gutils.regextrim(self.imdb_page, 'Official Sites:', '(<span|</span>)'), 'href="', '"')
 
     def get_site(self):
         self.site = self.url
@@ -175,63 +175,90 @@
             'plot'                : True,
             'cast'                : 'Sylvester Stallone' + _(' as ') + 'Rocky Balboa\n\
 Burt Young' + _(' as ') + 'Paulie\n\
-Milo Ventimiglia' + _(' as ') + 'Robert Jr.\n\
+Antonio Tarver' + _(' as ') + 'Mason \'The Line\' Dixon\n\
 Geraldine Hughes' + _(' as ') + 'Marie\n\
-James Francis Kelly III' + _(' as ') + 'Steps\n\
+Milo Ventimiglia' + _(' as ') + 'Robert Jr.\n\
 Tony Burton' + _(' as ') + 'Duke\n\
-A.J. Benza\n\
+A.J. Benza' + _(' as ') + 'L.C.\n\
+James Francis Kelly III' + _(' as ') + 'Steps\n\
+Lou DiBella' + _(' as ') + 'Himself\n\
+Mike Tyson' + _(' as ') + 'Himself\n\
 Henry G. Sanders' + _(' as ') + 'Martin\n\
-Antonio Tarver' + _(' as ') + 'Mason \'The Line\' Dixon\n\
 Pedro Lovell' + _(' as ') + 'Spider Rico\n\
-Ana Gerena\n\
-Angela Boyd\n\
+Ana Gerena' + _(' as ') + 'Isabel\n\
+Angela Boyd' + _(' as ') + 'Angie\n\
 Louis Giansante\n\
 Maureen Schilling\n\
+Lahmard J. Tate\n\
+Woody Paige\n\
+Skip Bayless\n\
+Jay Crawford\n\
+Brian Kenny\n\
+Dana Jacobson\n\
+Charles Johnson\n\
+James Binns\n\
+Johnnie Hobbs Jr.\n\
+Barney Fitzpatrick\n\
+Jim Lampley\n\
+Larry Merchant\n\
+Max Kellerman\n\
+LeRoy Neiman\n\
+Bert Randolph Sugar\n\
+Bernard Fernández\n\
+Gunnar Peterson\n\
+Yahya\n\
+Marc Ratner\n\
+Anthony Lato Jr.\n\
+Jack Lazzarado\n\
+Michael Buffer' + _(' as ') + 'Ring Announcer\n\
+Joe Cortez' + _(' as ') + 'Referee\n\
 Carter Mitchell\n\
 Vinod Kumar\n\
+Fran Pultro\n\
+Frank Stallone als Frank Stallone Jr.' + _(' as ') + 'Dinner Patron \n\
+Jody Giambelluca\n\
 Tobias Segal' + _(' as ') + 'Robert\'s Friend\n\
 Tim Carr' + _(' as ') + 'Robert\'s Friend \n\
+Matt Frack\n\
 Paul Dion Monte' + _(' as ') + 'Robert\'s Friend\n\
 Kevin King Templeton\n\
 Robert Michael Kelly\n\
-Don Sherman' + _(' as ') + 'Andy\n\
-Nick Baker\n\
 Rick Buchborn\n\
+Nick Baker\n\
+Don Sherman' + _(' as ') + 'Andy\n\
 Gary Compton\n\
-Jody Giambelluca\n\
-Frank Stallone als Frank Stallone Jr.' + _(' as ') + 'Dinner Patron \n\
-Fran Pultro\n\
-Michael Buffer' + _(' as ') + 'Ring Announcer\n\
-Jack Lazzarado\n\
-Marc Ratner\n\
-Anthony Lato Jr.\n\
-Yahya\n\
-Gunnar Peterson\n\
-Bernard Fernández\n\
-Bert Randolph Sugar\n\
-Jim Lampley\n\
-Larry Merchant\n\
-Max Kellerman\n\
-James Binns\n\
-Johnnie Hobbs Jr.\n\
-Barney Fitzpatrick\n\
-Brian Kenny\n\
-Dana Jacobson\n\
-Skip Bayless\n\
-Charles Johnson\n\
-Matt Frack\n\
-Woody Paige\n\
-Jay Crawford\n\
-Lahmard J. Tate\n\
-LeRoy Neiman\n\
-Mike Tyson' + _(' as ') + 'Himself\n\
-Lou DiBella\n\
-Joe Cortez\n\
-Ricky Cavazos' + _(' as ') + 'Boxing Spectator (uncredited)',
+Vale Anoai\n\
+Sikander Malik\n\
+Michael Ahl\n\
+Andrew Aninsman\n\
+Ben Bachelder\n\
+Lacy Bevis\n\
+Tim Brooks\n\
+D.T. Carney\n\
+Ricky Cavazos' + _(' as ') + 'Boxing Spectator (uncredited)\n\
+Rennie Cowan\n\
+Deon Derrico\n\
+Jacob \'Stitch\' Duran\n\
+Simon P. Edwards\n\
+Ruben Fischman' + _(' as ') + 'High-Roller in Las Vegas (uncredited)\n\
+David Gere\n\
+Noah Jacobs\n\
+Mark J. Kilbane\n\
+Zach Klinefelter\n\
+David Kneeream\n\
+Dan Montero\n\
+Keith Moyer' + _(' as ') + 'Bar Patron (uncredited)\n\
+Carol Anne Mueller\n\
+Jacqueline Olivia\n\
+Brian H. Scott\n\
+Keyon Smith\n\
+Frank Traynor\n\
+Ryan Tygh\n\
+Kimberly Villanova',
             'country'             : 'USA',
             'genre'               : 'Action, Drama, Sportfilm',
             'classification'      : False,
-            'studio'              : 'Metro-Goldwyn-Mayer (MGM)',
+            'studio'              : 'Metro-Goldwyn-Mayer (MGM), Columbia Pictures, Revolution Studios',
             'o_site'              : False,
             'site'                : 'http://www.ofdb.de/film/103013,Rocky%20Balboa',
             'trailer'             : False,
@@ -246,7 +273,7 @@
             'o_title'             : 'Bonne année, La',
             'director'            : 'Claude Lelouch',
             'plot'                : False,
-            'cast'                : 'Lino Ventura' + _(' as ') + 'Simon \n\
+            'cast'                : 'Lino Ventura' + _(' as ') + 'Simon\n\
 Françoise Fabian' + _(' as ') + 'Françoise\n\
 Charles Gérard' + _(' as ') + 'Charlot\n\
 André Falcon' + _(' as ') + 'Le bijoutier\n\
@@ -255,7 +282,7 @@
 Claude Mann\n\
 Frédéric de Pasquale\n\
 Gérard Sire\n\
-Silvano Tranquilli' + _(' as ') + 'L\'amant italien \n\
+Silvano Tranquilli' + _(' as ') + 'L\'amant italien\n\
 André Barello\n\
 Michel Bertay\n\
 Norman de la Chesnaye\n\
@@ -270,14 +297,14 @@
 Elie Chouraqui',
             'country'             : 'Frankreich',
             'genre'               : 'Komödie, Krimi',
-            'classification'      : '12 (f)',
-            'studio'              : 'Les Films 13',
+            'classification'      : False,
+            'studio'              : 'Les Films 13, Rizzoli Film',
             'o_site'              : False,
             'site'                : 'http://www.ofdb.de/film/22489,Ein-Gl%C3%BCckliches-Jahr',
             'trailer'             : False,
             'year'                : 1973,
             'notes'               : False,
-            'runtime'             : 90,
+            'runtime'             : 115,
             'image'               : True,
             'rating'              : 6
         },
@@ -318,9 +345,9 @@
 Lee Oi-soo',
             'country'             : 'Südkorea',
             'genre'               : 'Action, Fantasy, Komödie',
-            'classification'      : '16',
-            'studio'              : 'Fun and Happiness',
-            'o_site'              : False,
+            'classification'      : False,
+            'studio'              : 'Fun and Happiness, Good Movie Company',
+            'o_site'              : 'http://www.arahan.co.kr/',
             'site'                : 'http://www.ofdb.de/film/54088,Arahan',
             'trailer'             : False,
             'year'                : 2004,
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieZelluloid.py trunk/lib/plugins/movie/PluginMovieZelluloid.py
--- griffith-0.13/lib/plugins/movie/PluginMovieZelluloid.py	2011-12-04 17:59:11.000000000 +0200
+++ trunk/lib/plugins/movie/PluginMovieZelluloid.py	2013-07-27 18:37:05.673547595 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: PluginMovieZelluloid.py 1599 2011-12-02 19:52:02Z mikej06 $'
+__revision__ = '$Id: PluginMovieZelluloid.py 1633 2012-12-28 23:11:42Z mikej06 $'
 
 # Copyright (c) 2007-2011 Michael Jahn
 #
@@ -224,11 +224,13 @@
 Talia Shire' + _(' as ') + 'Adrian\n\
 Lou DiBella' + _(' as ') + 'Lou DiBella\n\
 Mike Tyson' + _(' as ') + 'Mike Tyson\n\
-Henry G. Sanders' + _(' as ') + 'Martin',
+Henry G. Sanders' + _(' as ') + 'Martin\n\
+Kevin King Templeton' + _(' as ') + '\n\
+Frank Stallone as',
             'country'           : 'USA',
-            'genre'             : 'Drama, Sport',
+            'genre'             : 'Drama, Action, Sport',
             'classification'    : 'ab 12',
-            'studio'            : 'Chartoff-Winkler Productions, Columbia Pictures Corporation, Metro-Goldwyn-Mayer, Revolution Studios, Rogue Marble',
+            'studio'            : 'Chartoff-Winkler Productions, Columbia Pictures Corporation, MGM, Revolution Studios, Rogue Marble',
             'o_site'            : False,
             'site'              : 'http://www.zelluloid.de/filme/details.php3?id=2835',
             'trailer'           : False,
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/test_movieplugins.py trunk/lib/test_movieplugins.py
--- griffith-0.13/lib/test_movieplugins.py	2011-12-04 17:59:11.000000000 +0200
+++ trunk/lib/test_movieplugins.py	2014-01-06 22:10:52.595013531 +0200
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: test_movieplugins.py 1599 2011-12-02 19:52:02Z mikej06 $'
+__revision__ = '$Id: test_movieplugins.py 1651 2013-09-27 19:48:00Z mikej06 $'
 
 # Copyright (c) 2006-2011
 #
@@ -82,8 +82,7 @@
         'PluginMovieDVDEmpire',
         'PluginMovieE-Pipoca',
         'PluginMovieFilmAffinity',
-        'PluginMovieFilmDb',
-        #'PluginMovieFilmeVonAZ',
+        'PluginMovieFilmeVonAZ',
         'PluginMovieFilmtipset',
         'PluginMovieHKMDB',
         'PluginMovieIMDB',
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/winpackage.iss trunk/winpackage.iss
--- griffith-0.13/winpackage.iss	2011-05-06 11:05:48.000000000 +0300
+++ trunk/winpackage.iss	2013-07-27 18:37:06.386912398 +0300
@@ -3,7 +3,7 @@
 
 [Setup]
 AppName=Griffith
-AppVerName=Griffith 0.12.1
+AppVerName=Griffith 0.13.0
 AppPublisher=Vasco Nunes, Piotr Ożarowski
 AppPublisherURL=http://www.griffith.cc/
 AppSupportURL=http://www.griffith.cc/
@@ -14,7 +14,7 @@
 LicenseFile=COPYING
 InfoAfterFile=README
 OutputDir=installer
-OutputBaseFilename=griffith-0.12.1-win32.1
+OutputBaseFilename=griffith-0.13-win32
 SetupIconFile=images\griffith.ico
 UninstallDisplayIcon={app}\griffith.exe
 Compression=lzma
@@ -23,8 +23,8 @@
 InternalCompressLevel=ultra
 AppCopyright=Vasco Nunes/Piotr Ożarowski
 DisableStartupPrompt=false
-AppVersion=0.12.1
-VersionInfoVersion=0.12.1
+AppVersion=0.13.0
+VersionInfoVersion=0.13.0
 
 [Languages]
 Name: eng; MessagesFile: compiler:Default.isl
@@ -66,7 +66,7 @@
 Source: dist\lib\*;    DestDir: {app}\lib;    Flags: ignoreversion
 ; use recursion, no components
 Source: dist\lib\db\*;           DestDir: {app}\lib\db;           Flags: ignoreversion recursesubdirs createallsubdirs
-Source: dist\lib\gettext\*;      DestDir: {app}\lib\gettext;      Flags: ignoreversion recursesubdirs createallsubdirs
+;Source: dist\lib\gettext\*;      DestDir: {app}\lib\gettext;      Flags: ignoreversion recursesubdirs createallsubdirs
 Source: dist\lib\glade3\*;       DestDir: {app}\lib\glade3;       Flags: ignoreversion recursesubdirs createallsubdirs
 ;Source: dist\lib\glib-2.0\*;     DestDir: {app}\lib\glib-2.0;     Flags: ignoreversion recursesubdirs createallsubdirs
 Source: dist\lib\gtk-2.0\*;      DestDir: {app}\lib\gtk-2.0;      Flags: ignoreversion recursesubdirs createallsubdirs
@@ -97,7 +97,6 @@
 Source: dist\lib\plugins\movie\PluginMovieE-Pipoca.py;      DestDir: {app}\lib\plugins\movie; Flags: ignoreversion; Components: Movie_Import_Plugins\Brazilian_Portuguese\E_Pipoca
 Source: dist\lib\plugins\movie\PluginMovieFDb.py;           DestDir: {app}\lib\plugins\movie; Flags: ignoreversion; Components: Movie_Import_Plugins\Polish\FDb
 Source: dist\lib\plugins\movie\PluginMovieFilmAffinity.py;  DestDir: {app}\lib\plugins\movie; Flags: ignoreversion; Components: Movie_Import_Plugins\Spanish\FilmAffinity
-Source: dist\lib\plugins\movie\PluginMovieFilmDb.py;        DestDir: {app}\lib\plugins\movie; Flags: ignoreversion; Components: Movie_Import_Plugins\German\FilmDb
 Source: dist\lib\plugins\movie\PluginMovieFilmeVonAZ.py;    DestDir: {app}\lib\plugins\movie; Flags: ignoreversion; Components: Movie_Import_Plugins\German\Filme_von_A_bis_Z
 Source: dist\lib\plugins\movie\PluginMovieFilmtipset.py;    DestDir: {app}\lib\plugins\movie; Flags: ignoreversion; Components: Movie_Import_Plugins\Swedish\Film_tip_set
 Source: dist\lib\plugins\movie\PluginMovieFilmweb.py;       DestDir: {app}\lib\plugins\movie; Flags: ignoreversion; Components: Movie_Import_Plugins\Polish\Filmweb
@@ -182,7 +181,6 @@
 
 Name: Movie_Import_Plugins\German;                   Description: German Import Plugins; Types: full
 Name: Movie_Import_Plugins\German\DVD_Palace;        Description: DVD-Palace / www.dvd-palace.de; Types: full
-Name: Movie_Import_Plugins\German\FilmDb;            Description: FilmDb / www.filmdb.de; Types: full
 Name: Movie_Import_Plugins\German\Filme_von_A_bis_Z; Description: Filme von A-Z / www.filmevona-z.de; Types: full
 Name: Movie_Import_Plugins\German\IMDBde;            Description: IMDB.de / german.imdb.com; Types: full
 Name: Movie_Import_Plugins\German\OFDb;              Description: OFDb / www.ofdb.de; Types: full
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/winsetup.bat trunk/winsetup.bat
--- griffith-0.13/winsetup.bat	2010-10-11 13:41:36.000000000 +0300
+++ trunk/winsetup.bat	2013-07-27 18:37:04.380157205 +0300
@@ -52,6 +52,8 @@
 if not "%ERRORLEVEL%" == "0" (pause)
 xcopy "%GTKDIR%\bin\jpeg62.dll"   "%GRIFFITHDIR%\dist\" /s /e
 if not "%ERRORLEVEL%" == "0" (pause)
+xcopy "%GTKDIR%\bin\libxml2-2.dll"   "%GRIFFITHDIR%\dist\" /s /e
+if not "%ERRORLEVEL%" == "0" (pause)
 
 copy "%GRIFFITHDIR%\AUTHORS"     "%GRIFFITHDIR%\dist\"
 copy "%GRIFFITHDIR%\COPYING"     "%GRIFFITHDIR%\dist\"
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/winsetup.py trunk/winsetup.py
--- griffith-0.13/winsetup.py	2011-12-19 00:35:26.000000000 +0200
+++ trunk/winsetup.py	2013-07-27 18:37:05.046853282 +0300
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 # -*- coding: utf-8 -*-
 
-__revision__ = '$Id: winsetup.py 1605 2011-12-18 22:35:25Z piotrek $'
+__revision__ = '$Id: winsetup.py 1623 2012-04-10 21:41:37Z mikej06 $'
 
 # Copyright © 2005-2010 Vasco Nunes, Piotr Ożarowski
 # This program is free software; you can redistribute it and/or modify
@@ -45,7 +45,7 @@
 
 opts = {
     "py2exe": {
-        "includes": "pygtk,cairo,pangocairo,gobject,cgi,PIL,pysqlite2,pysqlite2.*,pango,atk,gobject,tempfile,csv,xml.dom,xml.dom.minidom,xml.sax,threading,htmlentitydefs,sqlalchemy,sqlalchemy.*,sqlalchemy.databases.*,sqlalchemy.engine.*,sqlalchemy.ext.*,sqlalchemy.orm.*,sqlalchemy.sql.*,zipfile,webbrowser,shutil,reportlab,reportlab.pdfgen,reportlab.pdfgen.canvas,reportlab.platypus,reportlab.pdfbase.ttfonts,smtplib,win32com,platform,winshell,psycopg2,MySQLdb,chardet,gzip,commands,encodings,encodings.*,ConfigParser,gtk.glade,xmlrpclib,gio",
+        "includes": "pygtk,cairo,pangocairo,gobject,cgi,PIL,pysqlite2,pysqlite2.*,pango,atk,gobject,tempfile,csv,xml.dom,xml.dom.minidom,xml.sax,threading,htmlentitydefs,sqlalchemy,sqlalchemy.*,sqlalchemy.databases.*,sqlalchemy.engine.*,sqlalchemy.ext.*,sqlalchemy.orm.*,sqlalchemy.sql.*,zipfile,webbrowser,shutil,reportlab,reportlab.pdfgen,reportlab.pdfgen.canvas,reportlab.platypus,reportlab.pdfbase.ttfonts,reportlab.pdfbase.*,smtplib,win32com,platform,winshell,psycopg2,MySQLdb,chardet,gzip,commands,encodings,encodings.*,ConfigParser,gtk.glade,xmlrpclib,gio,lxml.*,simplejson",
         "optimize": 2,
         "dist_dir": "dist",
     }
